A couple of items failed when trying to install the videokit profile:
drush make "http://drupalcode.org/project/videokit.git/blob_plain/refs/heads/7.x-1.x..."

Unable to clone awssdk from [error]
https://github.com/amazonwebservices/aws-sdk-for-php.git.

Unable to download video-js from [error]
http://videojs.com/downloads/video-js-2.0.2.zip.

Not a huge problem but wanted to make someone aware of it.

Comments

Same thing happen here.
The error is
Unable to clone videokit from http://git.drupal.org/project/videokit.git